Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.connectionmanager
Class JBossManagedConnectionPool.PoolBySubject

    java.lang.Object
      org.jboss.resource.connectionmanager.JBossManagedConnectionPool.BasePool
          org.jboss.resource.connectionmanager.JBossManagedConnectionPool.PoolBySubject

All Implemented Interfaces:
  ManagedConnectionPool

Enclosing class:
  JBossManagedConnectionPool

public static class JBossManagedConnectionPool.PoolBySubject
extends JBossManagedConnectionPool.BasePool

Pool by subject

Constructor Summary
`JBossManagedConnectionPool.PoolBySubject(javax.resource.spi.ManagedConnectionFactory mcf, InternalManagedConnectionPool.PoolParams poolParams, boolean noTxSeparatePools, org.jboss.logging.Logger log)`

Method Summary
`protected Object` | `getKey(Subject subject, javax.resource.spi.ConnectionRequestInfo cri, boolean separateNoTx)` Retrieve the key for this request

Methods inherited from class org.jboss.resource.connectionmanager.JBossManagedConnectionPool.BasePool
`flush, getAvailableConnectionCount, getConnection, getConnectionCount, getConnectionCreatedCount, getConnectionDestroyedCount, getInUseConnectionCount, getManagedConnectionFactory, getMaxConnectionsInUseCount, getTransactionManager, returnConnection, setConnectionListenerFactory, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossManagedConnectionPool.PoolBySubject

    public JBossManagedConnectionPool.PoolBySubject(javax.resource.spi.ManagedConnectionFactory mcf,
                                                    InternalManagedConnectionPool.PoolParams poolParams,
                                                    boolean noTxSeparatePools,
                                                    org.jboss.logging.Logger log)

Method Detail

### getKey

    protected Object getKey(Subject subject,
                            javax.resource.spi.ConnectionRequestInfo cri,
                            boolean separateNoTx)

  Description copied from class: `JBossManagedConnectionPool.BasePool`
  Retrieve the key for this request

  Specified by:
    `getKey` in class `JBossManagedConnectionPool.BasePool`
  Parameters:
    `subject` - the subject
    `cri` - the connection request information
  Returns:
    the key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.